<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Afegir Empleat</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
          integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <script src="https://kit.fontawesome.com/481f72b69a.js" crossorigin="anonymous"></script>
</head>
<body>
<div class="container">
    <nav class="navbar navbar-expand-sm navbar-dark bg-dark">
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" th:href="@{/admin}">Home</a>
            </li>
            <li class="nav-item active">
                <a class="nav-link" th:href="@{/users/list}">Users</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" th:href="@{/subjects/list}">Subjects</a>
            </li>
        </ul>
        <form class="form-inline my-2 my-lg-0 ml-auto">
            <a th:href="@{/logout}" class="btn btn-outline-danger my-2 my-sm-0">Log Out</a>
        </form>
    </nav>
    <form method="post" action="#" th:action="@{/admin/users/edit/submit}" th:object="${userForm}">
        <div class="form-group">
            <input type="hidden" id="id" placeholder="1" th:field="*{id}" readonly="readonly"><br/>
            <label for="name">Name</label>
            <input type="text" class="form-control" id="name" placeholder="Name" th:field="*{name}"><br/>
        </div>
        <div class="form-group">
            <label for="email">Email</label>
            <input type="text" class="form-control" id="email" placeholder="a@a.com" th:field="*{email}"><br/>
        </div>
        <input type="hidden" id="password" placeholder="password" th:field="*{password}" readonly="readonly"><br/>
        <div class="custom-control custom-switch">
            <input type="checkbox" class="custom-control-input" id="isteacher" th:field="*{isteacher}">
            <label class="custom-control-label" for="isteacher">Is teacher?</label>
        </div>
        <div class="col text-center">
        <button type="submit" class="btn btn-primary">Edit user</button>
        </div>
    </form>
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
            integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n"
            crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
            integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
            crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
            integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
            crossorigin="anonymous"></script>
</div>
</body>
</html>